pexceptions.hpp File Reference

Custom exceptions. More...

`#include <stdexcept>`
`#include <system_error>`
Include dependency graph for pexceptions.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | pmem::pool_error
| Custom pool error class. More...
class | pmem::transaction_error
| Custom transaction error class. More...
class | pmem::lock_error
| Custom lock error class. More...
class | pmem::transaction_alloc_error
| Custom transaction error class. More...
class | pmem::transaction_free_error
| Custom transaction error class. More...
class | pmem::transaction_scope_error
| Custom transaction error class. More...
class | pmem::manual_tx_abort
| Custom transaction error class. More...

## Detailed Description

Custom exceptions.